Skip to main content
`Ctrl`+`K`

# DMPlexTransformExtrudeSetPeriodic

Set the flag to extrude periodically from the initial surface

## Synopsis

    #include "petscdmplextransform.h"
    PetscErrorCode DMPlexTransformExtrudeSetPeriodic(DMPlexTransform tr, PetscBool periodic)

Not Collective

## Input Parameters

- tr - The `DMPlexTransform`

- periodic - The flag to extrude periodically

## See Also

`DMPlexTransform`, `DMPlexTransformExtrudeGetPeriodic()`, `DMPlexTransformExtrudeSetSymmetric()`

## Level

intermediate

## Location

src/dm/impls/plex/transform/impls/extrude/plextrextrude.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages